dpkg-statoverride(1)

NAAM
dpkg-statoverride - wijzig eigenaarschap en modus van bestanden

OVERZICHT
dpkg-statoverride [optie...] commando

BESCHRIJVING
“stat overrides” zijn een manier om aan dpkg(1) te laten weten dat het bij het installeren van een pakket een andere eigenaar of modus moet gebruiken voor een bepaald pad (dit is van toepassing op elk bestandssysteemobject dat dpkg verwerkt, met inbegrip van mappen, apparaten, enz.). Dit kan gebruikt worden om af te dwingen dat programma's die normaal setuid zijn, geïnstalleerd worden zonder een setuid-vlag of dat ze enkel uitgevoerd kunnen worden door een bepaalde groep.

dpkg-statoverride is een hulpmiddel voor het beheren van de lijst met statusmodificaties (stat overrides). Het heeft drie basisfuncties: toevoegen, verwijderen en opsommen van modificaties.

COMMANDO'S

--add gebruiker groep modus pad
    Voeg een statusmodificatie toe voor pad. Het is niet nodig dat pad reeds bestaat op het ogenblik dat dit commando gebruikt wordt. De modificatie zal opgeslagen worden en later gebruikt worden. Gebruikers en groepen kunnen bij hun naam opgegeven worden (bijvoorbeeld root of nobody), of met hun nummer door voor dat nummer een ‘#’ te plaatsen (bijvoorbeeld #0 of #65534). De modus moet als octaal getal opgegeven worden. Indien --update opgegeven wordt en pad bestaat, dan wordt dat onmiddellijk op de nieuwe eigenaar en modus ingesteld.

--remove pad
    Verwijder een statusmodificatie voor pad. De status zelf van pad wordt door dit commando niet gewijzigd.

--list [glob-patroon]
    Som alle modificaties (overrides) op. Beperk de uitvoer tot modificaties die overeenkomen met het glob-patroon, indien een glob-patroon opgegeven werd.

--help
    Toon info over het gebruik en sluit af.

--force-help
    Give help about the --force-thing options (since dpkg 1.19.5).

--version
    Toon de versie en sluit af.

OPTIES

--admindir map
    Stel de administratieve map in op map. Dit is waar het statusmodificatie-bestand opgeslagen is. Standaard is dat «%ADMINDIR%».

--instdir map
    Stel de installatiemap in, welke verwijst naar de map waar pakketten geïnstalleerd worden (sinds dpkg 1.19.2). Standaard is dat «/».

--root map
    Stel de hoofdmap in op map, hetgeen de installatiemap instelt op «map» en de administratieve map op «map%ADMINDIR%» (sinds dpkg 1.19.2).

--force-dingen
--no-force-dingen, --refuse-dingen
    Force or refuse (no-force and refuse mean the same thing) to do some things (since dpkg 1.19.5). things is a comma separated list of things specified below. --force-help displays a message describing them. Things marked with (*) are forced by default. Warning: These options are mostly intended to be used by experts only. Using them without fully understanding their effects may break your whole system. all: Schakelt alle forceer-opties aan (of uit). statoverride-add: Overwrite an existing stat override when adding it (since dpkg 1.19.5). statoverride-remove: Ignore a missing stat override when removing it (since dpkg 1.19.5). security-mac(*): Use platform-specific Mandatory Access Controls (MAC) based security when installing files into the filesystem (since dpkg 1.19.5). On Linux systems the implementation uses SELinux.

--force
    Force an action, even if a sanity check would otherwise prohibit it. This is necessary to override an existing override. This option is deprecated (since dpkg 1.19.5), it is replaced by --force-all.

--update
    Tracht onmiddellijk het pad, als dat bestaat, in te stellen op de nieuwe eigenaar en modus.

--quiet
    Wees minder breedsprakig over wat er gedaan wordt.

AFSLUITSTATUS

0   De gevraagde actie werd succesvol uitgevoerd.

1   Voor --list, indien er geen modificaties (overrides) zijn of geen enkele beantwoordt aan het opgegeven glob-patroon.

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

DPKG_ROOT
    Indien dit ingesteld is en de opties --instdir of --root niet opgegeven werden, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem (sinds dpkg 1.19.2).

DPKG_ADMINDIR
    Indien dit ingesteld is en de opties --admindir of --root niet opgegeven werden, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_FORCE
    If set and none of the --force-... options have been specified, it will be used as the force options to use (since dpkg 1.19.5).

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

BESTANDEN

%ADMINDIR%/statoverride
    Bestand dat de huidige lijst van statusmodificaties van het systeem bevat. Het bevindt zich in de administratieve map van dpkg samen met andere bestanden die van belang zijn voor dpkg, zoals status en available.
    Opmerking: dpkg-statoverride bewaart de oude kopie van dit bestand met de extensie “-old” vooraleer het dit door het nieuwe bestand vervangt.

ZIE OOK
dpkg(1).